.pagination-wrapper {
  margin-top: 4rem;
}

@media screen and (min-width: 990px) {
  .pagination-wrapper {
    margin-top: 5rem;
  }
}

.pagination__list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  --pagination-item-width: 4rem;
  --pagination-item-height: 4rem;
}

@media screen and (max-width: 1199px) {
  .pagination__list {
    --pagination-item-width: 3.5rem;
    --pagination-item-height: 3.5rem;
  }
}

@media screen and (max-width: 989px) {
  .pagination__list {
    --pagination-item-width: 3.2rem;
    --pagination-item-height: 3.2rem;
  }
}

@media screen and (max-width: 589px) {
  .pagination__list {
    --pagination-item-width: 2.8rem;
    --pagination-item-height: 2.8rem;
  }
}

.pagination__list>li {
  flex: 1 0 var(--pagination-item-width);
  max-width: var(--pagination-item-width);
}

.pagination__list>li:not(:last-child) {
  margin-right: 2rem;
}

@media screen and (max-width: 768px) {
  .pagination__list>li:not(:last-child) {
    margin-right: 1rem;
  }
}

.pagination__item {
  color: #666;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  position: relative;
  height: var(--pagination-item-height);
  width: 100%;
  padding: 0;
  text-decoration: none;
  border: 1px solid #666;
  border-radius: 20px;
  font-size: clamp(13px, calc(10px + 0.52vw), 20px);
  font-weight: 400;
  transition: all .3s;
  font-family: 'Roboto';
}

a.pagination__item:hover::after {
  height: 0.1rem;
}

.pagination__item .icon-caret {
  height: 0.6rem;
}

.pagination__item--current::after {
  height: 0.1rem;
}

.pagination__item--current,
.pagination__item:hover {
  background-color: #FFA900;
  border-color: #FFA900;
  color: #fff;
}

.pagination__item--next .icon {
  margin-left: -0.2rem;
  transform: rotate(90deg);
}

.pagination__item--next:hover .icon {
  transform: rotate(90deg) scale(1.07);
}

.pagination__item--prev .icon {
  margin-right: -0.2rem;
  transform: rotate(-90deg);
}

.pagination__item--prev:hover .icon {
  transform: rotate(-90deg) scale(1.07);
}

.pagination__item-arrow:hover::after {
  display: none;
}